Interface WebTemplateWriter
- All Known Implementing Classes:
BeanWebTemplateWriter,LinkWebTemplateWriter,PropertyWebTemplateWriter,StaticWebTemplateWriter
public interface WebTemplateWriter
Interface to write the template content to
ServerWriter.- Author:
- Daniel Sagenschneider
-
Method Summary
Modifier and TypeMethodDescriptionvoidwrite(ServerWriter writer, boolean isDefaultCharset, Object bean, ServerHttpConnection connection, String templatePath) Writes the template content to theServerWriter.
-
Method Details
-
write
void write(ServerWriter writer, boolean isDefaultCharset, Object bean, ServerHttpConnection connection, String templatePath) throws HttpException Writes the template content to theServerWriter.- Parameters:
writer-ServerWriterto receive the template content.isDefaultCharset- Indicates if the defaultCharsetfor outputting the template is being used. While theCharsetmay be programmatically changed, it is expected in the majority of cases to be using the defaultCharsetconfigured for the template. This flag allows static content to be cached in bytes (using defaultCharset) for improved performance.bean- Bean to potentially obtain data. May benullif template contents does not require a bean.connection-ServerHttpConnection.templatePath- Current path for theWebTemplate. As the path may be dynamic (contain path parameters), this is the path to be used by links in rending of theWebTemplate.- Throws:
HttpException- If fails to write content.
-